Bug 438453 - SELinux is preventing /usr/local/matlab2007b/bin/glnxa64/MATLAB from changing the access protection of memory on the heap.
SELinux is preventing /usr/local/matlab2007b/bin/glnxa64/MATLAB from changing...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.0
All Linux
low Severity low
: rc
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-20 21:26 EDT by Peter Mackenzie
Modified: 2008-05-21 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0465
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:43:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Mackenzie 2008-03-20 21:26:25 EDT
Description of problem:
SELinux is preventing /usr/local/matlab2007b/bin/glnxa64/MATLAB from changing
the access protection of memory on the heap.

Version-Release number of selected component (if applicable):
EL5

How reproducible:
Allways

Steps to Reproduce:
1. start matlab version R2007b
2. open any figure or edit window etc.
3.
  
Actual results:
The /usr/local/matlab2007b/bin/glnxa64/MATLAB application attempted to change
the access protection of memory on the heap (e,g., allocated using malloc). This
is a potential security problem. Applications should not be doing this.
Applications are sometimes coded incorrectly and request this permission. The
SELinux Memory Protection Tests web page explains how to remove this
requirement. If /usr/local/matlab2007b/bin/glnxa64/MATLAB does not work and you
need it to work, you can configure SELinux temporarily to allow this access
until the application is fixed. Please file a bug report against this package.

Expected results:
??

Additional info:
Comment 1 Daniel Walsh 2008-03-21 06:39:25 EDT
chcon -t java_exec_t /usr/local/matlab2007b/bin/glnxa64/MATLAB

Should fix it.

I will try to fix this mapping in U2 policy
Comment 2 Daniel Walsh 2008-04-07 21:45:40 EDT
Fixed mapping in selinux-policy-2.4.6-128.el5
Comment 7 Daniel Walsh 2008-04-10 11:53:14 EDT
Fixed in selinux-policy-2.4.6-130.el5	
Comment 11 errata-xmlrpc 2008-05-21 12:43:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0465.html

Note You need to log in before you can comment on or make changes to this bug.